Pular para o conteúdo principal
GET
/
v1
/
imports
/
contexts
/
{contextId}
/
jobs
/
{jobId}
Get ingestion job status
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/imports/contexts/{contextId}/jobs/{jobId} \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2025-01-15T10:35:00.000Z",
  "contextId": "019c96a0-10a0-72d2-9fb0-2b7de8093182",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "failedRows": 5,
  "fileName": "transactions_2024.csv",
  "id": "019c96a0-10ce-75fc-a273-dc799079a99c",
  "sourceId": "019c96a0-108c-7a74-8e31-3789daffe1ed",
  "startedAt": "2025-01-15T10:30:00.000Z",
  "status": "PROCESSING",
  "totalRows": 1000
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

Parâmetros de caminho

contextId
string
obrigatório

The unique identifier of the reconciliation context.

jobId
string
obrigatório

Job ID

Resposta

Indicates that the request was successful and the response contains the expected data.

Ingestion job details

completedAt
string

When the job completed in RFC3339 format (if completed)

Exemplo:

"2025-01-15T10:35:00.000Z"

contextId
string

Context ID this job belongs to

Exemplo:

"019c96a0-10a0-72d2-9fb0-2b7de8093182"

createdAt
string

Creation timestamp in RFC3339 format

Exemplo:

"2025-01-15T10:30:00.000Z"

failedRows
integer

Number of rows that failed processing

Intervalo obrigatório: x >= 0
Exemplo:

5

fileName
string

Original file name

Exemplo:

"transactions_2024.csv"

id
string

Unique identifier for the job

Exemplo:

"019c96a0-10ce-75fc-a273-dc799079a99c"

sourceId
string

Source ID this job ingests data into

Exemplo:

"019c96a0-108c-7a74-8e31-3789daffe1ed"

startedAt
string

When the job started in RFC3339 format (null for QUEUED jobs)

Exemplo:

"2025-01-15T10:30:00.000Z"

status
enum<string>

Current status of the job

Opções disponíveis:
QUEUED,
PROCESSING,
COMPLETED,
FAILED
Exemplo:

"PROCESSING"

totalRows
integer

Total number of rows in the file

Intervalo obrigatório: x >= 0
Exemplo:

1000